init python:
    import random

# Initialize some variables for the player and location
define p = Character("Player")
define araceli = Character("Araceli")
define a = Character("Araceli")

init python:
    def get_idle_araceli(love_level):
        progression_level = min(int(love_level / 10) + 1, 5)

        if progression_level == 1:
            return "images/araceli_idle1.png"
        elif progression_level == 2:
            return "images/araceli_idle2.png"
        elif progression_level == 3:
            return "images/araceli_idle3.png"
        elif progression_level == 4:
            return "images/araceli_idle4.png"
        else:
            return "images/araceli_idle5.png"

    def get_bath_araceli(love_level):
        progression_level = min(int((love_level - 10) / 10), 4)

        if progression_level == 0:
            return "images/araceli_bath1.png"
        elif progression_level == 1:
            return "images/araceli_bath2.png"
        elif progression_level == 2:
            return "images/araceli_bath3.png"
        elif progression_level == 3:
            return "images/araceli_bath4.png"
        else:
            return "images/araceli_bath5.png"

    def get_yoga_araceli(love_level):
        progression_level = min(int(love / 10) + 1, 5)

        if progression_level == 1:
            return "images/araceli_yoga1.png"
        elif progression_level == 2:
            return "images/araceli_yoga2.png"
        elif progression_level == 3:
            return "images/araceli_yoga3.png"
        elif progression_level == 4:
            return "images/araceli_yoga4.png"
        else:
            return "images/araceli_yoga5.png"

    def get_bedroom_araceli(love_level):
        progression_level = min(int(love / 10) + 1, 5)

        if progression_level == 1:
            return "images/araceli_sleep1.png"
        elif progression_level == 2:
            return "images/araceli_sleep2.png"
        elif progression_level == 3:
            return "images/araceli_sleep3.png"
        elif progression_level == 4:
            return "images/araceli_sleep4.png"
        else:
            return "images/araceli_sleep5.png"

    def get_pool_araceli(love_level):
        progression_level = min(int((love - 20) / 10), 3)

        if progression_level == 0:
            return "images/araceli_pool1.png"
        elif progression_level == 1:
            return "images/araceli_pool2.png"
        elif progression_level == 2:
            return "images/araceli_pool3.png"
        else:
            return "images/araceli_pool4.png"

    def get_random_peek_image():
        peek_images = ["peak1.png", "peak2.png", "peak3.png"]
        return random.choice(peek_images)

    def get_random_peek_image_bed():
        peek_images2 = ["bedroom_peak1.png", "bedroom_peak2.png"]
        return random.choice(peek_images2)

# Events
default first_kitchen_encounter_triggered = False
default first_yoga_encounter_triggered = False
default first_talk_triggered = False
default first_pool_encounter_triggered = False
default flour_event_triggered = False
default love_25_event_triggered = False
default love_30_event_triggered = False
default love_20_confession_triggered = False
default solo_event_1_triggered = False 
default solo_event_2_triggered = False

init python:
    love_level_events_triggered = []

# Initialize stats
default energy = 3
default max_energy = 3
default strength = 0
default knowledge = 0
default money = 50
default work_level = 0
default base_salary = 10
default snack_eaten_today = False
default sneak_level = 1

# Function to increase sneak (cap at 10)
init python:
    def increase_sneak(amount):
        global sneak_level
        sneak_level = min(sneak_level + amount, 10)

# Function to decrease energy
init python:
    def decrease_energy(amount):
        global energy
        energy = max(energy - amount, 0)

# Function to increase energy
init python:
    def increase_energy(amount):
        global energy
        energy = min(energy + amount, max_energy)

# Initialize love stats
init python:
    love = 1  # Value from 0 to 100

# Function to increase love (cap at 100)
init python:
    def increase_love(amount):
        global love
        love = min(love + amount, 100.0)

screen stats_display:
    frame:
        xalign 0.5
        yalign 0.3
        vbox:
            text "Love: [love]" size 40 color "#FF0000"  # Red for love

screen hud:
    # Time of day with light blue color
    text "[time_of_day.capitalize()]" align (0.5, 0.05) size 30 color "#ADD8E6"  # Light blue

    # Current day with light gray color
    text "[current_day]" align (0.5, 0.1) size 30 color "#D3D3D3"  # Light gray

    # Araceli's current activity (debugging only, with light green color)
    text "[araceli_activity.capitalize()]" align (0.5, 0.15) size 20 color "#90EE90"  # Light green

    # Money
    text "Money: [money]" align (0.5, 0.85) size 20 color "#FFFF00"  # Yellow for money

    # Stats
    text "Love: [love]\nEnergy: [energy]" align (0.1, 0.9) size 20 color "#FF0000"  # Red for love and green for energy
    text "Strength: [strength]\nKnowledge: [knowledge]\nSneak: [sneak_level]" align (0.9, 0.9) size 20 color "#00FFFF"  # Cyan for strength, knowledge, and sneak_level    

init python:
    config.overlay_screens.append("hud")

# List of locations for easy reference
default current_location = "Bedroom"
default araceli_present = True  # Living room
default first_enter_living_room = True

# Initialize time and day variables
default time_of_day = "morning"
default current_day = "Monday"
default araceli_activity = ""

# Define days of the week for reference
define days_of_week = ["Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday"]

# Function to advance to the next day
label advance_day:
    python:
        # Move to the next day in the list of days
        day_index = days_of_week.index(current_day)
        next_day_index = (day_index + 1) % len(days_of_week)
        current_day = days_of_week[next_day_index]

        # Set the time of day to morning for the new day
        time_of_day = "morning"

        # Update Araceli's activity for the new day and time
        update_araceli_activity()

    if current_day == "Monday" and time_of_day == "morning":
        jump weekly_rent_collection

    if time_of_day == "morning":
        $ energy = max_energy
        $ snack_eaten_today = False

    return

label advance_time:
    python:
        # Define a list of times in a day
        times_of_day = ["morning", "afternoon", "evening", "night", "midnight"]

        # Get the current time index and advance to the next one
        time_index = times_of_day.index(time_of_day)
        next_time = times_of_day[(time_index + 1) % len(times_of_day)]

        # Update the time of day
        time_of_day = next_time

        # If it's midnight, we advance to the next day
        if time_of_day == "morning":
            # Move to the next day
            day_index = days_of_week.index(current_day)
            next_day_index = (day_index + 1) % len(days_of_week)
            current_day = days_of_week[next_day_index]
            energy = max_energy
            snack_eaten_today = False

    # Update Araceli's activity for the new time and day
    python:
        update_araceli_activity()

    return

# Function to update Araceli's activity based on the current time and day
init python:
    def update_araceli_activity():
        global araceli_activity
        if time_of_day == "morning":
            araceli_activity = renpy.random.choice(["showering", "cooking breakfast", "changing"])
        elif time_of_day == "afternoon":
            if current_day in ["Tuesday", "Thursday"]:
                araceli_activity = "working"
            elif current_day in ["Saturday", "Sunday"]:
                araceli_activity = "at the pool"
            else:
                araceli_activity = renpy.random.choice(["cleaning", "doing yoga in the living room"])
        elif time_of_day == "evening":
            araceli_activity = renpy.random.choice(["watching TV", "cooking dinner"])
        elif time_of_day == "night":
            araceli_activity = renpy.random.choice(["showering", "changing", "reading in her room"])
        elif time_of_day == "midnight":
            araceli_activity = renpy.random.choice(["sleeping", "watching late TV"])

# Label for choosing a location
label map:
    show screen hud
    scene hallway with fade:
        size (1920, 1080)
    # if any(love >= level and level not in love_level_events_triggered for level in [10, 20, 30, 40, 50]):
    #     p "You notice Araceli seems a little more comfortable around you."
    #     $ love_level_events_triggered.append(next(level for level in [10, 20, 30, 40, 50] if love >= level and level not in love_level_events_triggered)) 
    menu:
        "Go to Bedroom":
            $ current_location = "Bedroom"
            jump bedroom

        "Go to Araceli's Bedroom":
            $ current_location = "Araceli's Bedroom"
            jump araceli_bedroom

        "Go to Living Room":
            $ current_location = "Living Room"
            jump living_room

        "Go to Kitchen":
            $ current_location = "Kitchen"
            jump kitchen

        "Go to Bathroom":
            $ current_location = "Bathroom"
            jump bathroom

        "Go to Backyard":
            $ current_location = "Backyard"
            jump backyard

        "Go Outside":
            $ current_location = "Outside"
            jump outside


label bedroom:
    scene player_bedroom with fade:
        size (1920, 1080)

    if time_of_day == "midnight" and love_30_event_triggered == True and not solo_event_1_triggered:
        call solo_event_1() from _call_solo_event_1

    if time_of_day == "midnight" and solo_event_1_triggered == True and not solo_event_2_triggered:
        call solo_event_2() from _call_solo_event_2

    # Trigger the love_30_event if conditions are met
    if love >= 30 and time_of_day == "night" and not love_30_event_triggered:
        call love_30() from _call_love_30

    if time_of_day == "morning":
        if love >= 10 and not first_kitchen_encounter_triggered:
            p "Araceli has been talking about baking lately. Maybe you should try cooking with her sometime?"
        elif love >= 20 and not love_20_confession_triggered:
            p "I should check on Araceli in the living room at night"
        elif love >= 25 and not love_25_event_triggered: 
            p "I should help Araceli with her Yoga in the living room"
        elif love >= 30 and not love_30_event_triggered: 
            p "Araceli seems a bit pensive lately. Maybe you should spend some time with her in your bedroom at night."

    menu:
        "Use computer":
            jump computer

        "Workout":
            jump workout

        "Rest":
            call advance_time from _call_advance_time_19
            "Time passes as you relax in your room."
            $ increase_energy(1)
            jump bedroom  # Return to the bedroom options after advancing time

        "Sleep":
            "You lie down and drift off to sleep..."
            call advance_day from _call_advance_day  # Advance to the next day
            $ time_of_day = "morning"  # Set the time to morning
            jump bedroom  # Start the new day in the bedroom

        "Leave":
            jump map

label araceli_bedroom:
    scene araceli_bedroom with fade:
        size (1920, 1080)

    if araceli_activity == "reading in her room":

        "Araceli is reading in her room."

        menu:
            "Talk to Araceli":
                show expression get_bedroom_araceli(love) at right with fade:
                    zoom 0.7
                if progression_level == 1:
                    "You approach Araceli and start a casual conversation."
                elif progression_level == 2:
                    "Araceli looks up from her book with a smile. 'Oh, hey! What's up?'"
                elif progression_level == 3:
                    "Araceli sets her book aside and turns to face you. 'What do you want?' she asks playfully."
                elif progression_level == 4:
                    "Araceli closes her book and leans forward. 'What's on your mind?' she asks, her eyes sparkling with interest."
                else:
                    "Araceli sets her book aside and looks at you expectantly. 'What do you want?' she asks, a mischievous glint in her eye."
                call advance_time from _call_advance_time_20
                $ decrease_energy(1)
                jump map
            "Leave the bedroom":
                jump map
    elif araceli_activity == "changing":
        if love >= 20:
            if sneak_level >= 1:  
                $ success_chance = sneak_level * 10  
                if random.randint(1, 100) <= success_chance:
                    # Successful peek
                    p "You carefully peek through the keyhole. You see..." 
                    show expression Image(get_random_peek_image_bed()) at center with fade:
                        zoom 0.9
                    p "She's changing..."
                    p "I should go before she see's me" 
                    $ increase_sneak(1)
                    $ decrease_energy(1)
                    call advance_time from _call_advance_time_21
                    jump map
                else:
                    a "What are you doing?!" 
                    $ increase_love(-2) 
                    $ increase_sneak(1)
                    call advance_time from _call_advance_time_22
                    jump map 
        else:
            "I should respect her privacy...for now"
            jump map
    elif araceli_activity == "sleeping":
        "Araceli is sleeping. I don't want to disturb her."
        jump map
    else:
        "Araceli is not in her room right now."
        jump map

# Define a variable to keep track of the current location
init python:
    current_location = "living_room"  # Default to living room when starting

label living_room:
    if time_of_day == "night" or time_of_day == "midnight":
        scene living_room_night with fade:
            size (1920, 1080)
    else:
        scene living_room with fade:
            size (1920, 1080)

    "You enter the living room."

    # Check if Araceli is present in the living room
    if araceli_activity in ["cleaning", "doing yoga in the living room", "watching TV", "watching late TV"]:
        if araceli_activity == "cleaning":
            show expression get_idle_araceli(love) at right with fade:
                zoom 0.5

            "Araceli is cleaning the living room."

            menu:
                "Talk to Araceli":
                    if love <= 10:
                        "Araceli seems startled by your presence, but she manages a small smile. 'Oh, hey. I didn't see you there.'"
                        $ increase_love(1)
                    elif 11 <= love <= 20:
                        "Araceli glances up from her cleaning. 'What's up?' she asks, a bit distracted."
                        $ increase_love(1)
                    elif 21 <= love <= 30:
                        "Araceli smiles softly. 'You know, I find cleaning to be quite therapeutic.' She pauses, her eyes meeting yours. 'Maybe you could help me out?'"
                        $ increase_love(1)
                    elif 31 <= love <= 40:
                        "Araceli leans against the counter, her eyes playful. 'I'm not sure I like the way you're looking at me while I clean.'"
                        $ increase_love(1)
                    else:
                        "Araceli smirks. 'Maybe if you help me clean, I'll reward you later.'"
                        $ increase_love(1)

                    call advance_time from _call_advance_time_23
                    $ decrease_energy(1)

                "Watch her clean": 
                    # show expression get_clean_araceli(love) at right with fade:
                    #     zoom 0.5
                    "You watch Araceli clean, enjoying the view. She seems oblivious to your gaze."
                    call advance_time from _call_advance_time_24
                    $ decrease_energy(1)

                "Leave":
                    jump map

        elif araceli_activity == "doing yoga in the living room":
            show expression get_yoga_araceli(love) at right with fade:
                zoom 0.7

            "Araceli is practicing yoga."

            if not first_yoga_encounter_triggered:
                call first_yoga_encounter from _call_first_yoga_encounter
                $ first_yoga_encounter_triggered = True

            # Trigger the love_25_event if the conditions are met
            if love >= 25 and not love_25_event_triggered: 
                call love_25() from _call_love_25
                $ love_25_event_triggered = True

            menu:
                "Join her yoga session":
                    if love <= 10:
                        "Araceli maintains her focus, wearing workout clothes. You hesitate to interrupt her."
                        $ increase_love(1)
                    elif 11 <= love <= 20:
                        "Araceli glances at you briefly as she moves through a pose. 'You can join me if you want,' she says, her voice soft."
                        $ increase_love(1)
                    elif 21 <= love <= 30:
                        "Araceli smiles at you. 'Come on, join me. It's fun.'"
                        $ increase_love(1)
                    elif 31 <= love <= 40:
                        "Araceli moves closer to you, her eyes locked on yours. 'Let's try something a little more challenging,' she suggests."
                        $ increase_love(1)
                    else:
                        "Araceli moves seductively, her eyes filled with desire. 'I think it's time for a more... intimate yoga session.'"
                        $ increase_love(1)

                    call advance_time from _call_advance_time_25
                    $ decrease_energy(1)

                "Watch her do yoga":
                    "You watch Araceli gracefully move through her yoga routine, her body flowing with each pose."
                    show expression Image(random.choice(["yoga_watch1.png", "yoga_watch2.png", "yoga_watch3.png"])) at center with fade:
                        zoom 0.9
                    "..."
                    call advance_time from _call_advance_time_26
                    $ decrease_energy(1)

                "Leave":
                    jump map

        elif araceli_activity in ["watching TV", "watching late TV"]:
            if time_of_day == "midnight":
                show expression get_bedroom_araceli(love) at right with fade:
                    zoom 0.7
            else:
                show expression get_idle_araceli(love) at right with fade:
                    zoom 0.5

            "Araceli is watching TV."

            # Trigger the love_20_confession event if conditions are met
            if love >= 20 and time_of_day == "midnight" and not love_20_confession_triggered:
                call love_20_confession() from _call_love_20_confession
                $ love_20_confession_triggered = True

            menu:
                "Watch TV with her":
                    if love <= 10:
                        "Araceli barely acknowledges your presence, her eyes glued to the screen."
                        $ increase_love(1)
                    elif 11 <= love <= 20:
                        "Araceli glances at you occasionally, a small smile playing on her lips."
                        $ increase_love(1)
                    elif 21 <= love <= 30:
                        "Araceli leans closer to you, her body language inviting."
                        $ increase_love(1)
                    elif 31 <= love <= 40:
                        "Araceli whispers, 'Want to watch something a little more... interesting?'"
                        $ increase_love(1)
                    else:
                        "Araceli snuggles closer to you, her hand resting on your thigh."
                        $ increase_love(1)

                    call advance_time from _call_advance_time_27
                    $ decrease_energy(1)

                "Watch something else":
                    "You suggest watching something different."
                    call advance_time from _call_advance_time_28
                    $ decrease_energy(1)

                "Leave":
                    jump map

    else:
        "The living room is empty and quiet."
        menu:
            "Watch TV":
                "You spend some time watching TV by yourself."
                call advance_time from _call_advance_time_29
                jump map
            "Leave":
                jump map
    jump map

label kitchen:
    scene kitchen with fade:
        size (1920, 1080)

    "You enter the kitchen and look around."

    # Check if Araceli is present in the kitchen (regardless of the time of day)
    if araceli_activity in ["cooking breakfast", "cooking dinner"]:
        show expression get_idle_araceli(love) at right with fade:
            zoom 0.5

        "Araceli is in the kitchen, cooking."

        if not first_kitchen_encounter_triggered:
            call first_kitchen_encounter from _call_first_kitchen_encounter

        if not flour_event_triggered and love >= 10:
            call kitchen_event_flour from _call_kitchen_event_flour

        menu:
            "Talk to Araceli":
                if love <= 10:
                    "Araceli smiles politely. 'Hi there. What can I do for you?'"
                    $ increase_love(1)
                elif 11 <= love <= 20:
                    "Araceli glances at you. 'Can I help you with something?'"
                    $ increase_love(1)
                elif 21 <= love <= 30:
                    "Araceli smiles softly. 'It smells delicious in here. What are you cooking?'"
                    $ increase_love(1)
                elif 31 <= love <= 40:
                    "Araceli leans against the counter, her eyes playful. 'You know, I think you'd make a great chef.'"
                    $ increase_love(1)
                else:
                    "Araceli smirks. 'Maybe you should try cooking with me sometime. It could be fun.'"
                    $ increase_love(1)

                call advance_time from _call_advance_time_30
                $ decrease_energy(1)

            "Help her cook":
                if love <= 10:
                    "Araceli seems surprised. 'Oh, thanks for the help. Just chop those vegetables.'"
                    $ increase_love(1)
                elif 11 <= love <= 20:
                    "Araceli smiles gratefully. 'That would be great. Just hand me the ingredients when I need them.'"
                    $ increase_love(1)
                elif 21 <= love <= 30:
                    "Araceli laughs. 'Let's see if you can keep up with me.'"
                    $ increase_love(1)
                elif 31 <= love <= 40:
                    "Araceli smiles. 'It's nice to have someone to cook with.'"
                    $ increase_love(1)
                else:
                    "Araceli leans in close. 'I like the way you look at me when you cook.'"
                    $ increase_love(1)

                call advance_time from _call_advance_time_31
                $ decrease_energy(1)
    else:
        menu:
            "Grab a Snack":
                if not snack_eaten_today and energy < max_energy:
                    $ energy += 1
                    p "You grabbed a snack and feel a bit more energized."
                    $ snack_eaten_today = True
                else:
                    p "You're either not hungry or you already had a snack today."
            "Leave":
                jump map

    call map from _call_map_1   

label bathroom:
    if araceli_activity in ["showering", "taking a bath"]:
        python:
            progression_level = min(int((love) / 10) + 1, 5)
        if araceli_activity == "showering":
            menu:
                "Talk to her":
                    if progression_level == 1:
                        "The bathroom door is locked. You knock, but there's no response. Feeling embarrassed, you decide to leave and wait until she's finished."
                    elif progression_level == 2:
                        "You knock on the door. After a moment, the door swings open."
                        show expression get_bath_araceli(love) at right with fade
                        araceli "I'm done... You can come in now."
                    elif progression_level == 3:
                        "As you approach the bathroom, you notice the door is slightly ajar. Curiosity gets the better of you, and you decide to peek inside."
                        show expression get_bath_araceli(love) at right with fade
                        araceli "Well, well, well. Look who decided to be a little peeping tom."
                    elif progression_level == 4:
                        "You hear the water running in the shower, and Aracelli calls out, “Hey, want to join me?” You open the door to find her in a playful bikini, the water glistening on her scales. “It could be fun,” she winks, inviting you with an enticing grin."
                    else:
                        "You knock on the bathroom door, and Aracelli invites you in with a sultry tone. When you enter, you’re met with the sight of her, completely nude, stepping out of the shower. “Looks like I could use some help rinsing off,” she says, a mischievous glint in her eye. The atmosphere thickens with tension as she playfully gestures for you to join her."
                    call advance_time from _call_advance_time_32
                    $ decrease_energy(1)
                    jump map
                "Peek":
                    if progression_level >= 2:
                        if sneak_level >= 1:  
                            $ success_chance = sneak_level * 10  
                            if random.randint(1, 100) <= success_chance:
                                # Successful peek
                                p "You carefully peek through the keyhole. You see..." 
                                show expression Image(get_random_peek_image()) at center with fade:
                                    zoom 0.8
                                p "Holy shit!"
                                p "I should go before she see's me" 
                                $ increase_sneak(1)
                                $ decrease_energy(1)
                                call advance_time from _call_advance_time_33
                                jump map
                            else:
                                # Caught peeking
                                show araceli_bath1 at right with fade
                                a "What do you think you're doing?!"
                                $ increase_love(-2)  # Decrease love for getting caught
                                $ increase_sneak(1)
                                $ decrease_energy(1)
                                call advance_time from _call_advance_time_34
                                jump map
                    else:
                        "I should respect her privacy...for now"
                        jump map
                "Leave":
                    jump map
        elif araceli_activity == "taking a bath":
            menu:
                "Talk to her":
                    if progression_level == 1:
                        "The bathroom door is locked. You knock softly but hear no response. Feeling awkward, you decide it's best to leave and check on her later."
                    elif progression_level == 2:
                        "You gently knock on the door. “Come in!” Aracelli calls out, her voice cheerful but soft. You enter to find her submerged in the bathwater, with only her face and hair visible. She smiles at you, but her body is hidden beneath the bubbles, creating a sense of intrigue and modesty."
                    elif progression_level == 3:
                        "Again, you knock, and Aracelli invites you in, her tone inviting. When you walk in, you see her lying back in the tub, her feet playfully sticking out of the water. “You can join if you want, but I might be a little shy,” she teases, clearly aware of the effect she has with her playful hiding."
                    elif progression_level == 4:
                        "As you open the door, Aracelli greets you with a warm smile. “Hey there! Want to come and bathe with me?” She’s in a cute bikini, splashing water playfully with her tail. “It’s much more fun together!” The atmosphere is lighthearted and teasing."
                    else:
                        "You knock, and she instantly invites you in with a sultry tone. As you step inside, you find her entirely naked in the bath, the steam rising around her. “I’d love some company,” she coos, her eyes sparkling with mischief. “Care to join me for a relaxing soak?” The air is thick with tension and temptation."
                    call advance_time from _call_advance_time_35
                    $ decrease_energy(1)
                    jump map
                "Leave":
                    jump map
    else:
        scene bathroom with fade:
            size (1920, 1080)
        p "The bathroom is empty and available to use."
        menu:
            "Take a shower":
                "You take a quick shower to freshen up."
                call advance_time from _call_advance_time_36
                jump map
            "Leave":
                jump map


label backyard:
    scene pool with fade:
        size (1920, 1080)

    if araceli_activity == "at the pool":
        python:
            progression_level = min(int(love / 10) + 1, 5)

        if not first_pool_encounter_triggered:
            call first_pool_encounter from _call_first_pool_encounter
            $ first_pool_encounter_triggered = True

        if progression_level <= 2:
            p "Araceli is lounging by the pool, enjoying the sun."
            menu:
                "Talk to her":
                    show expression get_idle_araceli(love) at right with fade:
                        zoom 0.5
                    p "You approach Araceli and strike up a conversation about the weather or a recent event."
                    araceli "It's a nice day, isn't it? Perfect for relaxing by the pool."
                    call advance_time from _call_advance_time_37
                    $ decrease_energy(1)
                    $ increase_love(1)
                    jump map
                "Leave":
                    jump map
        else:
            p "Araceli is swimming in the pool, looking refreshed and carefree."
            menu:
                "Talk to her":
                    show expression get_pool_araceli(love) at right with fade:
                        zoom 0.5
                    p "You approach the pool's edge, watching Araceli swim gracefully."
                    araceli "Hey! Want to join me?"
                    # ... (more intimate dialogue options based on progression level)
                    call advance_time from _call_advance_time_38
                    $ decrease_energy(1)
                    jump map
                "Join her":
                    # Dialogue for joining Araceli in the pool, potentially leading to more intimate interactions
                    "..."
                    call advance_time from _call_advance_time_39
                    $ decrease_energy(2)
                    $ increase_love(1)
                    jump map
                "Leave":
                    jump map
    else:
        # The backyard is empty
        p "The backyard is empty. The pool is still and quiet."
        jump map

# Outside Scenes
label outside:
    menu:
        "Go to the Gym":
            jump gym

        "Go to Work":
            jump work

        "Go to the Store":
            jump store

        "Return to the Apartment":
            jump map

label gym:
    p "I'm at the gym. Time for a workout."
    jump outside

label work:
    p "Another day at work. I hope I can get through this shift quickly."
    jump outside

label store:
    p "What should I pick up from the store today?"
    jump outside

# Start label
label start:
    # Request Player's Name
    $ player_name = renpy.input("What's your name?", default="Player")
    $ player_name = player_name.strip()  # Removes extra spaces if the player just presses Enter

    # Check if the player didn't enter anything and default to "Player"
    if player_name == "":
        $ player_name = "Player"

    $ p = player_name

    # Opening narration
    show city with dissolve:
        size (1920, 1080)

    p "This city... I don't know why I came here. I just needed a fresh start."

    p "I rented an apartment on a whim, no plan, no direction—just a place to lay my head."

    # The player enters the apartment
    show living_room with dissolve:
        size (1920, 1080)

    p "This is it. Home sweet home... for now, at least."

    # Introduce Araceli

    p "I step inside and, almost immediately, I see her. Araceli."

    # Player's initial reaction to Araceli's appearance
    p "I didn't expect her to look... well, *different*. I'm taken aback. She seems... scared."

    # Araceli reacts to the player's shock
    show expression get_idle_araceli(love) at right with dissolve:
        zoom 0.5

    araceli "(Whispering, almost crying) I... I'm sorry. I didn't mean to scare you."

    # Player recovers and greets her properly
    p "No, no, it's not you. I'm just... surprised, I guess. I'm [player_name]. Nice to meet you."

    araceli "Araceli... I'm sorry about earlier. I don't usually... I don't usually have visitors."

    p "It's alright. I understand."

    araceli "You do?"

    p "Yeah, I do. We're roommates now, right? We'll figure it out."

    "araceli nods slowly, a small smile playing on her lips." 
    araceli "Yeah, roommates."

    # Transition to the player heading to their room
    p "I head to my room to unpack, feeling a bit awkward but also oddly intrigued."

    scene player_bedroom with dissolve:
        size (1920, 1080)

    p "Alright, time to settle in... let's see what this city has in store for me."

    scene player_bedroom:
        size (1920, 1080)
    p "I just moved into my new apartment. It's time to explore and get to know my roommate."

    # Ensure Araceli has an activity when the game starts. later maybe specify starting activity.
    python:
        update_araceli_activity()

    jump first_exit_room